/*
 * Copyright (c) 2003 by Sun Microsystems, Inc.
 */

#pragma ident	"Z%cddvdrwtest.msg  1.10  04/02/12  SMI."

 
$ cdrwtest messages
$ VERBOSE	   1 - 1999	
$ INFO		2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING	4000 - 5999
$ ERROR		6000 - 7999
$ FATAL		8000 - 9999 
$ PROBE Messages 1000+

$ VERBOSE messages

$ DEBUG
0001    "%s %s"

$ READ_OFFSET
CDROM read offset = %d
$ CD_TOC
1001 CD table of contents (track %d thru %d)
$ TRACK_INFO
1002 Track %03d, type %d, mode %03d, lba %06d
$ NO_PART_INFO
1003 unsuccessful DKIOCGAPART;no filesystem on disk?
$ V_BUSY
1004 Cannot obtain disk information. Device is busy. Could be still in blanking operation. Replace with a blank media.

$ V_EJECT
1006 Ejecting the disk

$ V_WRITE_SIM
1008 Write Simulation to data track 

$ V_CD_DA
1010 \tCD-DA accuracy succeeded

$ V_READ_SPEED
1012 Read speed is %dX

$ V_READ_DATA
1014 Reading data track %d

$ V_READ_AUDIO
1016 Reading audio track %d

$ V_WRITE_DATA
1018 Writing data track to disk

$ V_DISK_SIZE
1020 Disk size is %d bytes

$ V_WRITE_AUDIO
1022 Writing data to audio track : %d

$ V_BLANK_DISK
1024 Blanking the disk.

$ V_BLANK_SUCC
1026 Blank command succeeded

$ V_NEXT_WRITE_ADR
1028 Next writable address: %d

$ V_NEXT_TRACK
1030 next_track:%d,  next_session:%d

$ V_ERASE
1034 Erase : %d

$ V_BLANK_TIME
1036 Time to blank is: %d seconds

$ V_BLANK_WHOLE
1038 Blanking whole disk (this will take a while). Please do not stop the cdrwtest while blanking!

$ V_BLANK_FAST
1039 Blank disk fast.

$ V_FULL_BLANK
1040 Full blanking took %d minutes

$ V_CHECK_TRACK
1042 Block %d Buf 0 0x%02x 1 0x%02x 2 0x%02x

$ V_BLANK_LAST_SESSION
1044 Blanking the last session.

$ V_WRITE_DVD_RW
1046 Drive can write DVD-R(W)

$ V_READ_DVD_RW
1048 Drive can read DVD-R(W)

$ V_CHECK_CAP
1050 Reading Mode Page 0x2A..

$ V_MEDIA_BLANK		
1052 Media is blank

$ V_MEDIA_NOT_BLANK
1054 Media is NOT blank

$ V_BLANK_MEDIA_FAIL     
1056 Blank media FAILED

$ V_SKIP_WRITE_TEST      
1058 Skip write test

$ V_SIM_MODE
1060 In Simulation mode

$ V_NOT_ERASABLE	
1062 Media is not eraseable

$ V_TEST_WR_SUPPORT
1064 Testing write support

$ V_SUCCEED
1100 ..succeeded.


$ INFO messages
$ TIME_WARNING
2000	"The play time %d sec exceeds time usually expected (%d sec) at track %d. This may happen under conditions of heavy system load"

$ I_cdrom_conn
2001 Connected <> 

$ I_CDARG_NEED_TXT
2002    "%s= must be followed by a valid text string."\n

$ I_CDARG_NEED_NUM
2003    "%s= must be followed by a number."\n



$ CONSOLE messages
$ ROUTINE_MESG
3000	\tCD-RW/CD-R test specific options:\n\
	 	dev = devicename c?t?d?\n \
		loop = number of loops\n\
		nosim = do not perform simulation write\n\
		nodata = do not perform data track test\n\
		noaudio = do not perform audio track test\n\
		speed = write speed\n\
		eject = eject media at end of test\n\
		close = close file at end of test\n\
		erase = erase at the end of test\n\
		        none, session or all \n\
\tDVD-RW/DVD-R  DVD+RW/DVD+R test specific options:\n\
                dev = devicename c?t?d?\n\
		media = DVD-R, DVD-RW, DVD+R, DVD+RW, CD-R, CD-RW\n\
                nosim = do not perform simulation write\n\
                speed = write speed\n\
		size = 2MB, 10MB, 2GB\n\
                erase = erase at the end of test\n\
                       none, fast, all\n\
                eject = eject media at end of test.\n
  


$ WARNING messages
$ AUDIO_TIME_EXCEED
4000	"Audio play exceeded %d second time limit at track %d" Probable_Cause(s): \
<Heavy system load>
$ DEV_NOT_AVAILABLE
4001	"Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>
$ CDROMSTOP_FAIL
4002	"ioctl CDROMSTOP failure (number of retries: %d)"

4004    "Track count wrong (should be %d was %d). Reading TOC FAILED\n"

4006    "Track Number is %d which exceed 99 \n"



$ ERROR messages
$ SEEK_FAIL
6000	"Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different CD>
$ READ_FAIL
6001	"Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media>\
<Incorrect CD type passed to cdtest>
$ UNSUPPORTED_DATAMODE
6002	"Data mode %d not supported" Probable_Cause(s): <datamode has a value other \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>
$ AUDIO_ERR
6003	"Error occured while playing audio track %d"
$ AUDIO_STOP_ERR
6004	"Audio stop before complete at track %d"
$ AUDIO_UNKNOWN_STAT
6005	"Unexpected audio status %d received at track %d"
$ READOFFSET_ERR
6006 	"Fail in reading offset of the multi-session, offset = %d" Probable_Cause(s): \
<an incorrect value for cdtype has been passed to the cdtest> <Bad media>
$ NOT_MULTISESSION_DISC
6007	"This is not a CD ROM Multi-Session disc!" Probable_Cause(s): <An incorrect \
value for cdtype has been passed to the cdtest>

6010  "Track count wrong (should be %d was %d). Reading TOC FAILED\n"

6012   "Next writable address is %d. Should be -1 not %d...Closing disk FAILED \n"


6014   "%s Read only open FAILED. Please check device name."

6016    "CD-DA (CD Digital Audio) support FAILED\n"

8018   "CD-DA accuracy FAILED\n"

8020    "Retrieving mode page 5 FAILED\nCould not get write capabilites\n"


8022    "\nSome Write Mode not support.\n Please run with VERBOSE ON to see the modes not support."

6024    "Data Read Failed\n"

6026    "Could not read track information\n"

6028    "\nRead FAILED :[0x%x 0x%x 0x%x]\n"

6030   "Invalid blanking type specified\n"

6032   "Blank command FAILED"

6034   "Blanking operation FAILED\n"

6036   "Blank command timed out."

6038   "failed to read track info \n"

6040   "Block %d Expect track %d  Was %d \n"

6042   "Expect audio track    Was data track \n"

6044	"Expect data track    Was audio track \n"

6046   " Read/Compare Error"


$ FATAL messages
$ OPEN_FAIL
8000	"Fail to open device %s" Probable_Cause(s): <%s>
$ IOCTL_FAIL
8001	"Fail ioctl %s" Probable_Cause(s): <%s>
$ NO_PARTITION
8002	"Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>
$ NO_MEMORY
8003	"Fail to allocate %d bytes of memory"
$ INVALID_TOCHDR
8004	"Error occured while reading TOC header" Probable_Cause(s): <Track numbers \
out of range; First track: %d, Last track: %d> Recommended_Action(s): <retry \
with different CD>
$ DATACMP_ERR
8005	"Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to cdtest> \
<Bad media>
$ CDROMSTART_FAIL
8006	"ioctl CDROMSTART failure (number of retries: %d)"
$ STAT_FAIL
8007	"Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <CD-ROM drive not connected or \
configured properly>

8008 "Unable to find volmgr_name for device %s, Please remove then replace the media. \n"

8010 "Drive is not ready or cannot read TUR.  Please check if drive tray is ejected\n"


8012  "check_device() failed:%s"

8014  "Media not blank\n"

8016   "Track Number is %d which exceed 99 \n"

8018   "Cannot read media capacity\n"

8020   "Not enough room to write image\n"

8022   "Cannot find writable address on disk\n"

8024   "Retrieving mode page 5 for test mode FAILED\n"

8026   "Setting test mode using mode page 5 FAILED. \nCould not turn laser %s\n"

8028    "Invalid erase code : %d \n"

8030    "Erase session failed. track_no expect %d, was %d\n"

8032    "Write to track %d will exceed maximum track %d\n"

8034   "Wrong media inserted. CDRW media expected.\n"

8036   "Wrong media inserted. DVD-RW media expected\n"
$ --------------
$ PROBE Messages
$ ----

10002   "%s"

10004   "Media is not writable. Device not ready. Not a cdrw drive."

10006   "Retrieving mode page, 0x2A, failed. This may be a read only drive.\n"

10008   "\n\nWarning: Compatibility test failed. This drive may be an older generation or CD/DVD-ROM drive.\n"

10010   "Drive cannot read CDRs\n"

10012   "Drive is not a CD writer\n"

10014   "Drive cannot read CDRWs\n"

10016   "Drive cannot write CDRWs\n"

10018	"Retrieving mode page 5 FAILED\n"

10020   "Could not get write capabilites\n"

10022   "Block size is not 2048 bytes..FAILED"

10024   "Reading media size ...FAILED\n"

10026   "Getting read speed FAILED\n"

10028   "Reading additional TOC FAILED!\n"

10030   "Could not read inquiry information\n"

10032   "Disc capacity should be 0 not %d...FAILED\n"

10034   "Block size, %d, is not 2048 bytes\n"

10036   "Reading capacity FAILED, could be an older generation or CD/DVD-ROM drive.\n"

10038   "Getting write speed FAILED\n"

10040   "Getting read speed FAILED\n"

10042   "cdrw %s: Read only open FAILED\n"

10044   "ERROR: %s: Invalid argument"

10046   "ERROR: Loop of %d  will write more than %d tracks, which exceeds media capacity"


10048   "ERROR: The speed you asked %dX  is over the drive write speed %dX"


10050   "ERROR: The cdrw media is not blank while VTS probing. Erase operation is not allowed"

10052   "Drive cannot write DVD-R(W)" 

10054 	"Drive cannot read DVD-R(W)"

10056	"ERROR: Select at least one track type"

10058   "ERROR: Cannot erase CD-R/DVD-R/DVD+R"
